## net.i2p.sam
Class SAMv3Handler.DatagramServer

    java.lang.Object
      net.i2p.sam.SAMv3Handler.DatagramServer

Enclosing class:
  SAMv3Handler

    public static class SAMv3Handler.DatagramServer

extends java.lang.Object

Nested Class Summary
`(package private) class` `SAMv3Handler.DatagramServer.Listener`

Constructor Summary
`SAMv3Handler.DatagramServer(java.util.Properties props)`

Method Summary
`static SAMv3Handler.DatagramServer` `getInstance()`
`static SAMv3Handler.DatagramServer` `getInstance(java.util.Properties props)`
`void` `send(java.net.SocketAddress addr, java.nio.ByteBuffer msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAMv3Handler.DatagramServer

    public SAMv3Handler.DatagramServer(java.util.Properties props)
                                throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getInstance

    public static SAMv3Handler.DatagramServer getInstance()
                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getInstance

    public static SAMv3Handler.DatagramServer getInstance(java.util.Properties props)
                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### send

    public void send(java.net.SocketAddress addr,
                     java.nio.ByteBuffer msg)
              throws java.io.IOException

  Throws:
    `java.io.IOException`